import request from '@/utils/request'

// 查询井盖信息列表
export function getManholeDataAll(query) {
  return request({
    url: '/base/devices/getAll',
    method: 'get',
    params: query
  })
}


// 新增井盖
export function addSave(data) {
  return request({
    url: '/base/devices/save',
    method: 'post',
    data: data
  })
}


// 井盖修改
export function alterManhole(data) {
  return request({
    url: 'base/devices/update',
    method: 'post',
    data: data
  })
}


// 查询井盖翻转报警信息列表
export function getflipalarmDataAll(arr) {
  const json = JSON.stringify(arr.query);
  return request({
    url: '/manholeData/findByPage',
    method: 'get',
    params: {
      conditionJson:encodeURIComponent(json),
      pageNum:arr.pageNum,
      pageSize:arr.pageSize
    }
  })
}

